> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all organizations an account has access to GET https://api.contentful.com/organizations Reference: https://contentful.com/developers/docs/references/content-management-api/organizations/get-all-organizations-an-account-has-access-to ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "name": "My organization", "sys": { "accessPolicy": { "sso": "false" }, "createdAt": "2025-03-28T21:21:55.000Z", "id": "0D9ZC8rLWiw6x5qizZGiRs", "type": "Organization", "updatedAt": "2025-03-28T21:21:55.000Z", "version": "1" } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 1 } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Fetch Organization. client .organizations() .async() .fetchAll( new CMACallback>() { @Override protected void onSuccess(CMAArray result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully fetched all organizations." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch your organizations." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Fetch all Organizations. final CMAArray organizations = client .organizations() .fetchAll(); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // Fetch all Organizations. val organizations = client .organizations() .fetchAll() ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getOrganizations() .then((response) => console.log(response.items)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const organizations = await client.organization.getAll({ query: { limit: 10, } }) ``` ```php PHP $client = new \Contentful\Management\Client(''); $organizations = $client->getOrganizations(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') organizations = client.organizations.all ``` ```python Python from contentful_management import Client client = Client('') organizations = client.organizations().all() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var orgs = await client.GetOrganizations(); ```